Skip to main content
POST
POST /v1/holdings/state

Body

application/json
migration_id
integer<int64>
required

The migration id for which to return the ACS.

record_time
string<date-time>
required

The timestamp at which the contract set was active. This needs to be an exact timestamp, i.e., needs to correspond to a timestamp reported by /v0/state/acs/snapshot-timestamp if record_time_match is set to exact (which is the default). If record_time_match is set to at_or_before, this can be any timestamp, and the most recent snapshot at or before the given record_time will be returned.

page_size
integer<int32>
required

The maximum number of created events returned for this request.

owner_party_ids
string[]
required

Filters by contracts in which these party_ids are the owners of the amulets.

Minimum array length: 1
record_time_match
enum<string>
default:exact

How to match the record_time. "exact" requires the record_time to match exactly. "at_or_before" finds the most recent snapshot at or before the given record_time.

Available options:
exact,
at_or_before
after
integer<int64>

Pagination token for the next page of results.

Response

ok

record_time
string<date-time>
required

The same record_time as in the request.

migration_id
integer<int64>
required

The same migration_id as in the request.

created_events
object[]
required

Up to page_size contracts in the ACS. create_arguments are always encoded as compact_json.

next_page_token
integer<int64>

When requesting the next page of results, pass this as after to the AcsRequest or HoldingsStateRequest. Will be absent when there are no more pages.